#include <iostream>
#include <string>
#include <string.h>
#include <stdlib.h>

// Affiche l'éventuel message d'avertissement passé en argument.
void print_warn(const std::string &str = "") {
  if(str == "") std::cerr << "Attention !";
  else std::cerr << "Attention, " + str + ".";
  std::cerr << std::endl << std::flush;
}

// Affiche l'éventuel message d'erreur passé en argument,
// suivi du message donné par la variable errno.
void print_error(const std::string &str = "") {
  if(str == "") std::cerr << "Erreur : ";
  else std::cerr << "Erreur, " + str + " : ";
  std::cerr << strerror(errno) << std::endl << std::flush;
}

// Affiche l'éventuel message d'erreur passé en argument,
// avec print_error(), puis termine le processus appelant
// avec pour valeur de retour EXIT_FAILURE.
void exit_error(const std::string &str = "") {
  print_error(str);
  exit(EXIT_FAILURE);
}

